Delta=1;
epsilon=0.025:0.1:2;
for i=1:length(epsilon)
    EN=(log((2*Delta)./epsilon)+1)/log(2);
end
plot(epsilon,EN,'-bs','LineWidth',1.5);
hold on;
xlim([0 1]);
xlabel('Privacy Budget (\epsilon)'); ylabel('Entropy');

Delta=2;
epsilon=0.025:0.1:2;
for i=1:length(epsilon)
    EN=(log((2*Delta)./epsilon)+1)/log(2);
end
plot(epsilon,EN,'-ro','LineWidth',1.5);
hold on;
xlim([0 1]);
xlabel('Privacy Budget (\epsilon)'); ylabel('Entropy');

Delta=3;
epsilon=0.025:0.1:2;
for i=1:length(epsilon)
    EN=(log((2*Delta)./epsilon)+1)/log(2);
end
plot(epsilon,EN,'-g*','LineWidth',1.5);
hold on;
xlim([0 1]);
xlabel('Privacy Budget (\epsilon)'); ylabel('Entropy');

legend('\Deltaf=1','\Deltaf=2','\Deltaf=3');