Delta=1;
Delta1=0.1;
epsilon=0.025:0.1:2;
for i=1:length(epsilon)
    EN=(log((2*Delta*sqrt(pi*log(1.25/Delta1)))./epsilon)+0.5)/log(2);
end
plot(epsilon,EN,'-bs','LineWidth',1.5);
hold on;
xlim([0 1]);
xlabel('Privacy Budget (\epsilon)'); ylabel('Entropy');

Delta=2;
Delta1=0.1;
epsilon=0.025:0.1:2;
for i=1:length(epsilon)
    EN=(log((2*Delta*sqrt(pi*log(1.25/Delta1)))./epsilon)+0.5)/log(2);
end
plot(epsilon,EN,'-ro','LineWidth',1.5);
hold on;
xlim([0 1]);
xlabel('Privacy Budget (\epsilon)'); ylabel('Entropy');

Delta=3;
Delta1=0.1;
epsilon=0.025:0.1:2;
for i=1:length(epsilon)
    EN=(log((2*Delta*sqrt(pi*log(1.25/Delta1)))./epsilon)+0.5)/log(2);
end
plot(epsilon,EN,'-g*','LineWidth',1.5);
hold on;
xlim([0 1]);
xlabel('Privacy Budget (\epsilon)'); ylabel('Entropy');

legend('\Delta_2f=1, \delta=0.1','\Delta_2f=2, \delta=0.1','\Delta_2f=3, \delta=0.1');