x=0:0.1:1;
p=0.5;
p0=(1-p).*exp(x)./(1+exp(x))+p./(1+exp(x));
p1=(1-p)./(1+exp(x))+p.*exp(x)./(1+exp(x));
entropy=-p0.*log2(p0)-p1.*log2(p1);
plot(x,entropy,'-bs','LineWidth',1.5);
hold on;
xlabel('Privacy Budget (\epsilon)'); ylabel('Entropy');
ylim([0.88 1.08]);

x=0:0.1:1;
p=0.7;
p0=(1-p).*exp(x)./(1+exp(x))+p./(1+exp(x));
p1=(1-p)./(1+exp(x))+p.*exp(x)./(1+exp(x));
entropy=-p0.*log2(p0)-p1.*log2(p1);
plot(x,entropy,'-ro','LineWidth',1.5);
hold on;
xlabel('Privacy Budget (\epsilon)'); ylabel('Entropy');
ylim([0.88 1.08]);

x=0:0.1:1;
p=0.9;
p0=(1-p).*exp(x)./(1+exp(x))+p./(1+exp(x));
p1=(1-p)./(1+exp(x))+p.*exp(x)./(1+exp(x));
entropy=-p0.*log2(p0)-p1.*log2(p1);
plot(x,entropy,'-g*','LineWidth',1.5);
hold on;
xlabel('Privacy Budget (\epsilon)'); ylabel('Entropy');
ylim([0.88 1.08]);

legend('\pi_1=0.5','\pi_1=0.7','\pi_1=0.9');
